> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1enginedatasetupload



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Engine//swagger/v1/swagger.json post /api/v1/engine/dataset/Upload
openapi: 3.0.0
info:
  title: NDS.Services.Engine
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Engine/
security: []
paths:
  /api/v1/engine/dataset/Upload:
    post:
      tags:
        - DataSet
      operationId: DataSet_Upload
      parameters:
        - name: X-UploadDataSet-DataSetId
          x-originalName: dataSetId
          in: header
          schema:
            type: string
          x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadResult'
components:
  schemas:
    UploadResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````